/*
 *
 *  Linux Basic Security Modules
 *  LBSM project team. <lbsm@sec.jri.co.jp>
 *
 *  Copyright (c) 2002-2004 The Japan Research Institute, Limited
 *  http://www.jri.co.jp/
 *
 *  This is a part of Linux Basic Security Modules.
 *
 *  This programme is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  This programme is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free software Foundation, Inc.,
 *  59 Temple Place, suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _LBSM_AUDIT_INFO_H
#define _LBSM_AUDIT_INFO_H

// it is nessesury in RedHat 9.0 
#include <linux/threads.h>

#ifndef PID_MAX
#define PID_MAX	0x8000
#endif /* !PID_MAX */

#include <linux/fs.h>
#include <asm/semaphore.h>

#include <audit.h>
#include <audit_kernel.h>
#include <lbsm_htable.h>

#define	NOT_INITIALIZED		-1
#define	ALREADY_AUTHED		1

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Default pid hash size
 */
#ifndef PIDHASH_SZ
#define PIDHASH_SZ      4096
#endif /* !PIDHASH_SZ */

/**
 *  Macro's
 */
#define IS_AUTH(ainfo) 						\
	(ainfo->ai_auth == 1)
/**
 *  Functions
 */
#ifdef __STDC__

extern int aud_lookup_ainfo(int, p_audit_data_t **);
extern int aud_copy_ainfo(p_audit_data_t *, p_audit_data_t *);
extern int aud_delete_ainfo(int);
extern int aud_delete_all_ainfo(void);
extern int aud_alloc_ainfo(int, int);
extern int aud_clear_cache_ainfo(int);

#else

extern int aud_lookup_ainfo();
extern int aud_copy_ainfo();
extern int aud_delete_ainfo();
extern int aud_delete_all_ainfo();
extern int aud_alloc_ainfo();
extern int aud_clear_cache_ainfo();

#endif /* __STDC__ */

#ifdef __cplusplus
}
#endif

#endif /* !_LBSM_AUDIT_INFO_H */
