/*
 *
 *  Linux Basic Security Modules
 *  LBSM project team. <lbsm@sec.jri.co.jp>
 *
 *  Copyright (c) 2002-2003 The Japan Research Institute, Limited
 *
 *  This is a part of Linux Basic Security Modules.
 *
 *  This programme is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  This programme is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free software Foundation, Inc.,
 *  59 Temple Place, suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _LBSM_AUDIT_KEVENTS_H
#define	_LBSM_AUDIT_KEVENTS_H

#ifdef	__cplusplus
extern "C" {
#endif

#define	AUE_NULL		0	/* =no indir system call */
#define	AUE_EXIT		1	/* =pc exit(2) */
#define	AUE_FORK		2	/* =pc fork(2) */
#define	AUE_OPEN		3	/* =fa open(2): place holder */
#define	AUE_CREAT		4	/* =fc create(2) */
#define	AUE_LINK		5	/* =fc link(2) */
#define	AUE_UNLINK		6	/* =fd unlink(2) */
#define	AUE_EXEC		7	/* =pc exec(2) */
#define	AUE_CHDIR		8	/* =pc chdir(2) */
#define	AUE_MKNOD		9	/* =fc mknod(2) */
#define	AUE_CHMOD		10	/* =fm chmod(2) */
#define	AUE_CHOWN		11	/* =fm chown(2) */
#define	AUE_UMOUNT		12	/* =ad umount(2): old version */
#define	AUE_JUNK		13	/* non existant event */
#define	AUE_ACCESS		14	/* =fa access(2) */
#define	AUE_KILL		15	/* =pc kill(2) */
#define	AUE_STAT		16	/* =fa stat(2) */
#define	AUE_LSTAT		17	/* =fa lstat(2) */
#define	AUE_ACCT		18	/* =ad acct(2) */
#define	AUE_MCTL		19	/* =fm mctl(2) */
#define	AUE_REBOOT		20	/* =ad reboot(2) */
#define	AUE_SYMLINK		21	/* =fc symlink(2) */
#define	AUE_READLINK		22	/* =fr readlink(2) */
#define	AUE_EXECVE		23	/* =pc execve(2) */
#define	AUE_CHROOT		24	/* =pc chroot(2) */
#define	AUE_VFORK		25	/* =pc vfork(2) */
#define	AUE_SETGROUPS		26	/* =pc setgroups(2) */
#define	AUE_SETPGRP		27	/* =pc setpgrp(2) */
#define	AUE_SWAPON		28	/* =ad swapon(2) */
#define	AUE_SETHOSTNAME		29	/* =ad sethostname(2) */
#define	AUE_FCNTL		30	/* =fm fcntl(2) */
#define	AUE_SETPRIORITY		31	/* =pc setpriority(2) */
#define	AUE_CONNECT		32	/* =nt connect(2) */
#define	AUE_ACCEPT		33	/* =nt accept(2) */
#define	AUE_BIND		34	/* =nt bind(2) */
#define	AUE_SETSOCKOPT		35	/* =nt setsockopt(2) */
#define	AUE_VTRACE		36	/* =pc vtrace(2) */
#define	AUE_SETTIMEOFDAY	37	/* =ad settimeofday(2) */
#define	AUE_FCHOWN		38	/* =fm fchown(2) */
#define	AUE_FCHMOD		39	/* =fm fchmod(2) */
#define	AUE_SETREUID		40	/* =pc setreuid(2) */
#define	AUE_SETREGID		41	/* =pc setregid(2) */
#define	AUE_RENAME		42	/* =fc,fd rename(2) */
#define	AUE_TRUNCATE		43	/* =fd truncate(2) */
#define	AUE_FTRUNCATE		44	/* =fd ftruncate(2) */
#define	AUE_FLOCK		45	/* =fm flock(2) */
#define	AUE_SHUTDOWN		46	/* =nt shutdown(2) */
#define	AUE_MKDIR		47	/* =fc mkdir(2) */
#define	AUE_RMDIR		48	/* =fd rmdir(2) */
#define	AUE_UTIMES		49	/* =fm utimes(2) */
#define	AUE_ADJTIME		50	/* =ad adjtime(2) */
#define	AUE_SETRLIMIT		51	/* =ad setrlimit(2) */
#define	AUE_KILLPG		52	/* =pc killpg(2) */
#define	AUE_NFS_SVC		53	/* =ad nfs_svc(2) */
#define	AUE_STATFS		54	/* =fa statfs(2) */
#define	AUE_FSTATFS		55	/* =fa fstatfs(2) */
#define	AUE_UNMOUNT		56	/* =ad unmount(2) */
#define	AUE_ASYNC_DAEMON	57	/* =ad async_daemon(2) */
#define	AUE_NFS_GETFH		58	/* =ad nfs_getfh(2) */
#define	AUE_SETDOMAINNAME	59	/* =ad setdomainname(2) */
#define	AUE_QUOTACTL		60	/* =ad quotactl(2) */
#define	AUE_EXPORTFS		61	/* =ad exportfs(2) */
#define	AUE_MOUNT		62	/* =ad mount(2) */
#define	AUE_SEMSYS		63	/* =fa semsys(2): place holder */
#define	AUE_MSGSYS		64	/* =fa msgsys(2): place holder */
#define	AUE_SHMSYS		65	/* =fa shmsys(2): place holder */
#define	AUE_BSMSYS		66	/* =fa bsmsys(2): place holder */
#define	AUE_RFSSYS		67	/* =fa rfssys(2): place holder */
#define	AUE_FCHDIR		68	/* =pc fchdir(2) */
#define	AUE_FCHROOT		69	/* =pc fchroot(2) */
#define	AUE_VPIXSYS		70	/* =fa vpixsys(2): place holder */
#define	AUE_PATHCONF		71	/* =fa pathconf(2) */
#define	AUE_OPEN_R		72	/* =fr open(2): read */
#define	AUE_OPEN_RC		73	/* =fc,fr open(2): read,creat */
#define	AUE_OPEN_RT		74	/* =fd,fr open(2): read,trunc */
#define	AUE_OPEN_RTC		75	/* =fc,fd,fr open(2): rd,cr,tr */
#define	AUE_OPEN_W		76	/* =fw open(2): write */
#define	AUE_OPEN_WC		77	/* =fc,fw open(2): write,creat */
#define	AUE_OPEN_WT		78	/* =fd,fw open(2): write,trunc */
#define	AUE_OPEN_WTC		79	/* =fc,fd,fw open(2): wr,cr,tr */
#define	AUE_OPEN_RW		80	/* =fr,fw open(2): read,write */
#define	AUE_OPEN_RWC		81	/* =fc,fw,fr open(2): rd,wr,cr */
#define	AUE_OPEN_RWT		82	/* =fd,fr,fw open(2): rd,wr,tr */
#define	AUE_OPEN_RWTC		83	/* =fc,fd,fw,fr open(2): rd,wr,cr,tr */
#define	AUE_MSGCTL		84	/* =ip msgctl(2): illegal command */
#define	AUE_MSGCTL_RMID		85	/* =ip msgctl(2): IPC_RMID command */
#define	AUE_MSGCTL_SET		86	/* =ip msgctl(2): IPC_SET command */
#define	AUE_MSGCTL_STAT		87	/* =ip msgctl(2): IPC_STAT command */
#define	AUE_MSGGET		88	/* =ip msgget(2) */
#define	AUE_MSGRCV		89	/* =ip msgrcv(2) */
#define	AUE_MSGSND		90	/* =ip msgsnd(2) */
#define	AUE_SHMCTL		91	/* =ip shmctl(2): Illegal command */
#define	AUE_SHMCTL_RMID		92	/* =ip shmctl(2): IPC_RMID command */
#define	AUE_SHMCTL_SET		93	/* =ip shmctl(2): IPC_SET command */
#define	AUE_SHMCTL_STAT		94	/* =ip shmctl(2): IPC_STAT command */
#define	AUE_SHMGET		95	/* =ip shmget(2) */
#define	AUE_SHMAT 		96	/* =ip shmat(2) */
#define	AUE_SHMDT 		97	/* =ip shmdt(2) */
#define	AUE_SEMCTL		98	/* =ip semctl(2): illegal command */
#define	AUE_SEMCTL_RMID		99	/* =ip semctl(2): IPC_RMID command */
#define	AUE_SEMCTL_SET		100	/* =ip semctl(2): IPC_SET command */
#define	AUE_SEMCTL_STAT		101	/* =ip semctl(2): IPC_STAT command */
#define	AUE_SEMCTL_GETNCNT	102	/* =ip semctl(2): GETNCNT command */
#define	AUE_SEMCTL_GETPID	103	/* =ip semctl(2): GETPID command */
#define	AUE_SEMCTL_GETVAL	104	/* =ip semctl(2): GETVAL command */
#define	AUE_SEMCTL_GETALL	105	/* =ip semctl(2): GETALL command */
#define	AUE_SEMCTL_GETZCNT	106	/* =ip semctl(2): GETZCNT command */
#define	AUE_SEMCTL_SETVAL	107	/* =ip semctl(2): SETVAL command */
#define	AUE_SEMCTL_SETALL	108	/* =ip semctl(2): SETALL command */
#define	AUE_SEMGET		109	/* =ip semget(2) */
#define	AUE_SEMOP		110	/* =ip semop(2) */
#define	AUE_CORE		111	/* =fc process dumped core */
#define	AUE_CLOSE		112	/* =cl close(2) */
#define	AUE_SYSTEMBOOT		113	/* =na system booted */
#define	AUE_ASYNC_DAEMON_EXIT	114	/* =ad async_daemon(2) exited */
#define	AUE_NFSSVC_EXIT		115	/* =ad nfssvc(2) exited */
#define	AUE_SETCMWPLABEL	116	/* =sl setcmwplabel(2) */
#define	AUE_SETCLEARANCE	117	/* =sl setclearance(2) */
#define	AUE_FGETCMWLABEL	118	/* =fa fgetcmwlabel(2) */
#define	AUE_FSETCMWLABEL	119	/* =sl fsetcmwlabel(2) */
#define	AUE_GETCMWFSRANGE	120	/* =fa getcmwfsrange(2) */
#define	AUE_GETCMWLABEL		121	/* =fa getcmwlabel(2) */
#define	AUE_GETFILEPRIV		122	/* =fa getfilepriv(2) */
#define	AUE_LGETCMWLABEL	123	/* =fa lgetcmwlabel(2) */
#define	AUE_MKFSO		124	/* =fc mkfso(2) */
#define	AUE_SETCMWLABEL		125	/* =sl setcmwlabel(2) */
#define	AUE_SETFILEPRIV		126	/* =sl setfilepriv(2) */
#define	AUE_SETPROCPRIV		127	/* =sl setprocpriv(2) */
#define	AUE_WRITEL		128	/* =no writel(2) */
#define	AUE_WRITEVL		129	/* =no writevl(2) */
#define	AUE_GETAUID		130	/* =ad getauid(2) */
#define	AUE_SETAUID		131	/* =ad setauid(2) */
#define	AUE_GETAUDIT		132	/* =ad getaudit(2) */
#define	AUE_SETAUDIT		133	/* =ad setaudit(2) */
#define	AUE_GETUSERAUDIT	134	/* =ad getuseraudit(2) */
#define	AUE_SETUSERAUDIT	135	/* =ad setuseraudit(2) */
#define	AUE_AUDITSVC		136	/* =ad auditsvc(2) */
#define	AUE_AUDITUSER		137	/* =ad audituser(2) */
#define	AUE_AUDITON		138	/* =ad auditon(2) */
#define	AUE_AUDITON_GTERMID	139	/* =ad auditctl(2): GETTERMID */
#define	AUE_AUDITON_STERMID	140	/* =ad auditctl(2): SETTERMID */
#define	AUE_AUDITON_GPOLICY	141	/* =ad auditctl(2): GETPOLICY */
#define	AUE_AUDITON_SPOLICY	142	/* =ad auditctl(2): SETPOLICY */
#define	AUE_AUDITON_GESTATE	143	/* =ad auditctl(2): GETESTATE */
#define	AUE_AUDITON_SESTATE	144	/* =ad auditctl(2): SETESTATE */
#define	AUE_AUDITON_GQCTRL	145	/* =ad auditctl(2): GETQCTRL */
#define	AUE_AUDITON_SQCTRL	146	/* =ad auditctl(2): SETQCTRL */
#define	AUE_GETKERNSTATE	147	/* =ad getkernstate(2) */
#define	AUE_SETKERNSTATE	148	/* =ad setkernstate(2) */
#define	AUE_GETPORTAUDIT	149	/* =ad getportaudit(2) */
#define	AUE_AUDITSTAT		150	/* =ad auditstat(2) */
#define	AUE_REVOKE		151	/* =fm revoke(2) */
#define	AUE_MAC			152	/* =ma MAC use */
#define	AUE_ENTERPROM		153	/* =na enter prom */
#define	AUE_EXITPROM		154	/* =na exit prom */
#define	AUE_IFLOAT		155	/* =il inode IL float */
#define	AUE_PFLOAT		156	/* =il process IL float */
#define	AUE_UPRIV		157	/* =pr privilege use */
#define	AUE_IOCTL		158	/* =fm ioctl(2) */
#define	AUE_FIND_RH		159	/* =na ipintr: pkt from unknown host */
#define	AUE_BADSATTR		160	/* =na ipintr: unknown security attr */
#define	AUE_TN_GEN		161	/* =na ipintr: out-of-sync generat */
#define	AUE_TFRWRD		162	/* =na ipintr: bad forward route */
#define	AUE_TN_BYPASS		163	/* =na ipintr: bypassed security */
#define	AUE_TN_ISPRIV		164	/* =na ipintr: insufficient privilege */
#define	AUE_TN_CKRT		165	/* =na ipintr: route security reject */
#define	AUE_TN_CKIPOUT		166	/* =na ipintr: ip outpt securty rjct */
#define	AUE_KTNETD		167	/* =nt tnetd turned off */
#define	AUE_STNETD		168	/* =nt tnetd started */
#define	AUE_HLTSR		169	/* =nt session record halted */
#define	AUE_STRTSR		170	/* =nt session record started */
#define	AUE_FREESR		171	/* =nt session record freed */
#define	AUE_TN_ACCRED		172	/* =nt import accred failed */
#define	AUE_ONESIDE		173	/* =nt one-sided session record */
#define	AUE_MSGGETL		174	/* =ip msggetl(2) */
#define	AUE_MSGRCVL		175	/* =ip msgrcvl(2) */
#define	AUE_MSGSNDL		176	/* =ip msgsndl(2) */
#define	AUE_SEMGETL		177	/* =ip semgetl(2) */
#define	AUE_SHMGETL		178	/* =ip shmgetl(2) */
#define	AUE_GETMLDADORN		179	/* =fa getmldadorn(2) */
#define	AUE_GETSLDNAME		180	/* =fa getsldname(2) */
#define	AUE_MLDLSTAT		181	/* =fa mldlstat(2) */
#define	AUE_MLDSTAT		182	/* =fa mldstat(2) */
#define	AUE_SOCKET		183	/* =no socket(2) */
#define	AUE_SENDTO		184	/* =nt sendto(2) */
#define	AUE_PIPE		185	/* =no pipe(2) */
#define	AUE_SOCKETPAIR		186	/* =no socketpair(2) */
#define	AUE_SEND		187	/* =no send(2) */
#define	AUE_SENDMSG		188	/* =nt sendmsg(2) */
#define	AUE_RECV		189	/* =no recv(2) */
#define	AUE_RECVMSG		190	/* =nt recvmsg(2) */
#define	AUE_RECVFROM		191	/* =nt recvfrom(2) */
#define	AUE_READ		192	/* =no read(2) */
#define	AUE_GETDENTS		193	/* =no getdents(2) */
#define	AUE_LSEEK		194	/* =no lseek(2) */
#define	AUE_WRITE		195	/* =no write(2) */
#define	AUE_WRITEV		196	/* =no writev(2) */
#define	AUE_NFS			197	/* =no NFS server */
#define	AUE_READV		198	/* =no readv(2) */
#define	AUE_OSTAT		199	/* =fa old stat(2) */
#define	AUE_SETUID		200	/* =pc old setuid(2) */
#define	AUE_STIME		201	/* =ad old stime(2) */
#define	AUE_UTIME		202	/* =fm old utime(2) */
#define	AUE_NICE		203	/* =pc old nice(2) */
#define	AUE_OSETPGRP		204	/* =pc old setpgrp(2) */
#define	AUE_SETGID		205	/* =pc old setgid(2) */
#define	AUE_READL		206	/* =no readl(2) */
#define	AUE_READVL		207	/* =no readvl(2) */
#define	AUE_FSTAT		208	/* =no fstat(2) */
#define	AUE_DUP2		209	/* =no dup2(2) u-o-p */
#define	AUE_MMAP		210	/* =fr,fw mmap(2) u-o-p */
#define	AUE_AUDIT		211	/* =no audit(2) u-o-p */
#define	AUE_PRIOCNTLSYS		212	/* =pc priocntlsys */
#define	AUE_MUNMAP		213	/* =cl munmap(2) u-o-p */
#define	AUE_SETEGID		214	/* =pc setegid(2) */
#define	AUE_SETEUID		215	/* =pc seteuid(2) */
#define	AUE_PUTMSG		216	/* =nt */
#define	AUE_GETMSG		217	/* =nt */
#define	AUE_PUTPMSG		218	/* =nt */
#define	AUE_GETPMSG		219	/* =nt */
#define	AUE_AUDITSYS		220	/* =fa place holder */
#define	AUE_AUDITON_GETKMASK	221	/* =ad */
#define	AUE_AUDITON_SETKMASK	222	/* =ad */
#define	AUE_AUDITON_GETCWD	223	/* =ad */
#define	AUE_AUDITON_GETCAR	224	/* =ad */
#define	AUE_AUDITON_GETSTAT	225	/* =ad */
#define	AUE_AUDITON_SETSTAT	226	/* =ad */
#define	AUE_AUDITON_SETUMASK	227	/* =ad */
#define	AUE_AUDITON_SETSMASK	228	/* =ad */
#define	AUE_AUDITON_GETCOND	229	/* =ad */
#define	AUE_AUDITON_SETCOND	230	/* =ad */
#define	AUE_AUDITON_GETCLASS	231	/* =ad */
#define	AUE_AUDITON_SETCLASS	232	/* =ad */
#define	AUE_FUSERS		233	/* =fa */
#define	AUE_STATVFS		234	/* =fa */
#define	AUE_XSTAT		235	/* =fa */
#define	AUE_LXSTAT		236	/* =fa */
#define	AUE_LCHOWN		237	/* =fm */
#define	AUE_MEMCNTL		238	/* =pr */
#define	AUE_SYSINFO		239	/* =ad */
#define	AUE_XMKNOD		240	/* =fc */
#define	AUE_FORK1		241	/* =pc */
#define	AUE_MODCTL		242	/* =ad */
#define	AUE_MODLOAD		243	/* =ad */
#define	AUE_MODUNLOAD		244	/* =ad */
#define	AUE_MODCONFIG		245	/* =ad */
#define	AUE_MODADDMAJ		246	/* =ad */
#define	AUE_SOCKACCEPT		247	/* =nt */
#define	AUE_SOCKCONNECT		248	/* =nt */
#define	AUE_SOCKSEND		249	/* =nt */
#define	AUE_SOCKRECEIVE		250	/* =nt */
#define AUE_REUGID              251     /* =pc reugid */
#define AUE_SETFSUID            252     /* =pc setfsuid */
#define AUE_SETFSGID            253     /* =pc setfsgid */
#define AUE_GETHOSTNAME         254     /* =ad gethostname(2) */
#define AUE_GETDOMAINNAME       255     /* =ad getdomainname(2) */
#define AUE_UNAME               256     /* =ad uname(2) */
#define	AUE_GETSOCKOPT		257	/* =nt getsockopt(2) */
#define	AUE_LISTEN		258	/* =nt listen(2) */
#define	AUE_SELECT		259	/* =nt select(2) */
#define AUE_SWAPOFF             260     /* =ad swapoff(2) */
#define AUE_SELECT2             261     /* =fa select */
#define AUE_SEC_ALERT           262     /* =ad security alert */
#define AUE_ALARM               263     /* =et alarm */
#define AUE_GETSID              264     /* =et getsid */
#define AUE_SETSID              265     /* =et setpgid */
#define AUE_GETPRIORITY         266     /* =et getpriority */
#define AUE_IOPERM              267     /* =et ioperm */
#define AUE_IOPL                268     /* =et iopl */
#define AUE_MODIFY_LDT          269     /* =et modify_ldt */
#define AUE_CREATE_MODULE       270     /* =et create_module */
#define AUE_INIT_MODULE         271     /* =et init_module */
#define AUE_DELETE_MODULE       272     /* =et delete_module */
#define AUE_GET_KERNEL_SYMS     273     /* =et get_kernel_syms */
#define AUE_PAUSE               274     /* =et pause */
#define AUE_PERSONALITY         275     /* =et personality */
#define AUE_GETGROUPS           276     /* =et getgroups */
#define AUE_GETITIMER           277     /* =et getitimer */
#define AUE_GETRLIMIT           278     /* =et getrlimit */
#define AUE_GETRUSAGE           279     /* =et getrusage */
#define AUE_SYSCTL              280     /* =et sysctl */
#define AUE_GETTIMEOFDAY        281     /* =et gettimeofday */
#define AUE_TIMES               282     /* =et times */
#define AUE_WAIT4               283     /* =et wait4 */
#define AUE_BDFLUSH             284     /* =et bdflush */
#define AUE_LLSEEK              285     /* =et llseek */
#define AUE_READDIR             286     /* =et readdir */
#define AUE_SYNC                287     /* =et sync */
#define AUE_FSYNC               288     /* =et fsync */
#define AUE_FDATASYNC           289     /* =et fdatasync */
#define AUE_SYSFS               290     /* =et sysfs */
#define AUE_USELIB              291     /* =et uselib */
#define AUE_UMASK               292     /* =et umask */
#define AUE_VHANGUP             293     /* =et vhangup */
#define AUE_MPROTECT            294     /* =et mprotect */
#define AUE_MREMAP              295     /* =et mremap */
#define AUE_MSYNC               296     /* =et msync */
#define AUE_GETPID              297     /* =et getpid */
#define AUE_GETPPID             298     /* =et getppid */
#define AUE_GETUID              299     /* =et getuid */
#define AUE_GETGID              300     /* =et getgid */
#define AUE_GETEGID             301     /* =et getegid */
#define AUE_GETEUID             302     /* =et geteuid */
#define AUE_SETPGID             303     /* =et setpgid */
#define AUE_GETPGID             304     /* =et getpgid */
#define AUE_GETPGRP             305     /* =et getpgrp */
#define AUE_DUP                 306     /* =et getpgrp */
#define AUE_PREAD               307     /* =et pread */
#define AUE_PWRITE              308     /* =et pwrite */
#define AUE_SEC_VIOLATE         309	/* =security violation */
#define AUE_SIGNAL		310
#define AUE_USTAT               311
#define AUE_SCHED_SETPARAM      312
#define AUE_SCHED_SETSCHEDULER  313
#define AUE_SETRESUID           314
#define AUE_PRCTL               315
#define AUE_CAPSET              316
#define AUE_TRUNCATE64          317
#define AUE_FTRUNCATE64         318
#define AUE_STAT64              319
#define AUE_LSTAT64             320
#define AUE_FSTAT64             321
#define AUE_LCHOWN32            322
#define AUE_SETREUID32          323
#define AUE_SETREGID32          324
#define AUE_SETGROUPS32         325
#define AUE_FCHOWN32            326
#define AUE_SETRESUID32         327
#define AUE_SETRESGID32         328
#define AUE_CHOWN32             329
#define AUE_SETUID32		330
#define AUE_SETGID32		331
#define AUE_GETGID32		332
#define AUE_SETFSUID32		333
#define AUE_SETFSGID32		334
#define AUE_PIVOT_ROOT		335
#define AUE_FCNTL64             336
#define AUE_SETRESGID		337
#define AUE_PTRACE		338
#define AUE_TIME		339
#define AUE_BRK			340
#define AUE_OLDUNAME		341
#define AUE_SIGACTION		342
#define AUE_SGETMASK		343
#define AUE_SSETMASK		344
#define AUE_SIGSUSPEND		345
#define AUE_SIGPENDING		346
#define AUE_MINCORE		347
#define AUE_MADVISE		348
#define AUE_GETRESUID		349
#define AUE_GETRESGID		350
#define AUE_SYSLOG		351
#define AUE_SETITIMER		352
#define AUE_VM86OLD		353
#define AUE_IPC			354
#define AUE_SIGRETURN		355
#define AUE_NEWUNAME		356
#define AUE_SIGPROCMASK		357
#define AUE_MLOCK               358
#define AUE_MUNLOCK             359
#define AUE_MLOCKALL            360
#define AUE_MUNLOCKALL          361
#define AUE_SCHED_GETPARAM      362
#define AUE_SCHED_GETSCHEDULER  363
#define AUE_SCHED_YIELD         364
#define AUE_SCHED_GET_PRIORITY_MAX 365
#define AUE_SCHED_GET_PRIORITY_MIN 366
#define AUE_SCHED_RR_GET_INTERVAL 367
#define AUE_NANOSLEEP           368
#define AUE_VM86                369
#define AUE_QUERY_MODULE        370
#define AUE_POLL                371
#define AUE_NFSSERVCTL          372
#define AUE_RT_SIGRETURN        373
#define AUE_RT_SIGACTION        374
#define AUE_RT_SIGPROCMASK      375
#define AUE_RT_SIGPENDING       376
#define AUE_RT_SIGTIMEDWAIT     377
#define AUE_RT_SIGQUEUEINFO     378
#define AUE_RT_SIGSUSPEND       379
#define AUE_GETCWD              380
#define AUE_CAPGET		381
#define AUE_SENDFILE		382

/**
 * Maximum number of kernel events in the event to class table
 * leave a couple extra ones just incase somebody wants to load a new
 * driver with build in auditing
 */
#ifndef LBSM_SUPPORT_SELINUX
#define	MAX_KEVENTS		383
#else
#include <audit_selinux_kevent.h>
#define MAX_KEVENTS             SEL_MAX_KEVENTS
#endif

#ifdef __cplusplus
}
#endif

#endif /* !_LBSM_AUDIT_KEVENTS_H */
