/*
 *
 *  Linux Basic Security Modules
 *  LBSM project team. <lbsm@sec.jri.co.jp>
 *
 *  Copyright (c) 2002-2004 The Japan Research Institute, Limited
 *
 *  This is a part of Linux Basic Security Modules.
 *
 *  This programme is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  This programme is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free software Foundation, Inc.,
 *  59 Temple Place, suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifdef LBSM_SUPPORT_SELINUX

#ifndef _LBSM_SELINUX_KEVENTS_H
#define	_LBSM_SELINUX_KEVENTS_H

#define AUE_SEL_TRANSITION_SID	383	 /* =sl SELINUXCALL_TRANSITION_SID */
#define AUE_SEL_MEMBER_SID	384	 /* =sl SELINUXCALL_MEMBER_SID */
#define AUE_SEL_SID_TO_CONTEXT	385	 /* =sl SELINUXCALL_SID_TO_CONTEXT */
#define AUE_SEL_CONTEXT_TO_SID	386	 /* =sl SELINUXCALL_CONTEXT_TO_SID */
#define AUE_SEL_LOAD_POLICY	387	 /* =sl SELINUXCALL_LOAD_POLICY */
#define AUE_SEL_CHANGE_SID	388	 /* =sl SELINUXCALL_CHANGE_SID */
#define AUE_SEL_GET_SIDS	389	 /* =sl SELINUXCALL_CHANGE_SID */ 
#define AUE_SEL_GET_USER_SIDS	390	 /* =sl SELINUXCALL_GET_USER_SIDS */
#define AUE_SEL_AVC_TOGGLE	391	 /* =sl SELINUXCALL_AVC_TOGGLE */
#define AUE_SEL_GETOSECSID	392	 /* =sl SELINUXCALL_GETOSECSID */
#define AUE_SEL_GETSECSID	393	 /* =sl SELINUXCALL_GETSECSID */
#define AUE_SEL_AVC_ENFORCING	394	 /* =sl SELINUXCALL_AVC_ENFORCING */
#define AUE_SEL_MLS		395	 /* =sl SELINUXCALL_MLS */

/**
 * Maximum number of SE-Linux kernel events in the event to class table
 * leave a couple extra ones just incase somebody wants to load a new
 * driver with build in auditing
 */
#define	SEL_MAX_KEVENTS		396	

#endif /* !_LBSM_SELINUX_KEVENTS_H */
#endif /* LBSM_SUPPORT_SELINUX */
