/*
 *
 *  Linux Basic Security Modules 
 *  LBSM project team. <lbsm@sec.jri.co.jp>
 *
 *  Copyright (c) 2002-2004 The Japan Research Institute, Limited
 *
 *  This is a part of Linux Basic Security Modules.
 *
 *  This programme is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  This programme is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free software Foundation, Inc.,
 *  59 Temple Place, suite 330, Boston, MA 02111-1307 USA
 *
 */

/**
 *  System calls replaced macros.
 *  Total number of system call is << 221 >> in Linux 2.4
 */

    // old setup(), ni_syscall                /* 0 */
    REPLACE_SYSCALL(exit, exit);                                     /* --- */
    REPLACE_SYSCALL(fork, fork);                                     /* --- */
    REPLACE_SYSCALL(read, read);  			             /* --- */
    REPLACE_SYSCALL(write, write);			             /* --- */
    REPLACE_SYSCALL(open, open);              /* 5 */                /* --- */
    REPLACE_SYSCALL(close, close);                                   /* --- */


    // waitpid -- this system call is implemented by sys_wait4       /* --- */
    REPLACE_SYSCALL(creat, creat);                                   /* --- */
    REPLACE_SYSCALL(link, link);                                     /* --- */
    REPLACE_SYSCALL(unlink, unlink);          /* 10 */               /* --- */
    REPLACE_SYSCALL(execve, execve);                                 /* --- */
    REPLACE_SYSCALL(chdir, chdir);                                   /* --- */
    REPLACE_SYSCALL(time, time);                                     /* --- */
    REPLACE_SYSCALL(mknod, mknod);                                   /* --- */
    REPLACE_SYSCALL(chmod, chmod);            /* 15 */               /* --- */
    REPLACE_SYSCALL(lchown, lchown16);                               /* --- */
    // old break() ni_syscall                                        /* --- */
    REPLACE_SYSCALL(stat, stat);                                     /* --- */
    REPLACE_SYSCALL(lseek, lseek);                                   /* --- */
    REPLACE_SYSCALL(getpid, getpid);	      /* 20 */               /* --- */
    REPLACE_SYSCALL(mount, mount);                                   /* --- */
    REPLACE_SYSCALL(umount, oldumount);                              /* --- */
    REPLACE_SYSCALL(setuid, setuid16);                               /* --- */
    REPLACE_SYSCALL(getuid, getuid);                                 /* --- */
    REPLACE_SYSCALL(stime, stime);            /* 25 */               /* --- */
    REPLACE_SYSCALL(ptrace, ptrace);                                 /* --- */
    REPLACE_SYSCALL(alarm, alarm);                                   /* --- */
    // oldfstat, ni_syscall                                          /* --- */
    // pause, ni_syscall                                             /* --- */
    REPLACE_SYSCALL(utime, utime);            /* 30 */               /* --- */
    // old stty, ni_syscall				             /* --- */
    // old gtty, ni_syscall                                          /* --- */
    REPLACE_SYSCALL(access, access);                                 /* --- */
    REPLACE_SYSCALL(nice, nice);                                     /* --- */
    // old ftime, ni_syscall                  /* 35 */               /* --- */
    REPLACE_SYSCALL(sync, sync);                                     /* --- */
    REPLACE_SYSCALL(kill, kill);                                     /* --- */
    REPLACE_SYSCALL(rename, rename);                                 /* --- */
    REPLACE_SYSCALL(mkdir, mkdir);                                   /* --- */
    REPLACE_SYSCALL(rmdir, rmdir);            /* 40 */               /* --- */
    REPLACE_SYSCALL(dup, dup);                                       /* --- */
    REPLACE_SYSCALL(pipe, pipe);                                     /* --- */
    REPLACE_SYSCALL(times, times);                                   /* --- */
    // old prof, ni_syscall                                          /* --- */
    REPLACE_SYSCALL(brk, brk);                /* 45 */               /* --- */
    REPLACE_SYSCALL(setgid, setgid16);			             /* --- */
    REPLACE_SYSCALL(getgid, getgid16);                               /* --- */
    REPLACE_SYSCALL(signal, signal);			             /* --- */
    REPLACE_SYSCALL(geteuid, geteuid16);                             /* --- */
    REPLACE_SYSCALL(getegid, getegid16);      /* 50 */               /* --- */
    REPLACE_SYSCALL(acct, acct);                                     /* --- */
    REPLACE_SYSCALL(umount2, umount);                                /* --- */
    // old lock, ni_syscall                                          /* --- */
    REPLACE_SYSCALL(ioctl, ioctl);                                   /* --- */ 
    REPLACE_SYSCALL(fcntl, fcntl);            /* 55 */               /* --- */
    // old mpx, ni_syscall                                           /* --- */
    REPLACE_SYSCALL(setpgid, setpgid);                               /* --- */
    // old ulimit, ni_syscall                                        /* --- */
    REPLACE_SYSCALL(olduname, olduname);                             /* --- */ 
    REPLACE_SYSCALL(umask, umask);            /* 60 */               /* --- */
    REPLACE_SYSCALL(chroot, chroot);                                 /* --- */
    REPLACE_SYSCALL(ustat, ustat);                                   /* --- */
    REPLACE_SYSCALL(dup2, dup2);                                     /* --- */
    REPLACE_SYSCALL(getppid, getppid); 			             /* --- */
    REPLACE_SYSCALL(getpgrp, getpgrp);        /* 65 */               /* --- */
    REPLACE_SYSCALL(setsid, setsid);                                 /* --- */
    REPLACE_SYSCALL(sigaction, sigaction);		             /* --- */
    REPLACE_SYSCALL(sgetmask, sgetmask);		             /* --- */
    REPLACE_SYSCALL(ssetmask, ssetmask);		             /* --- */
    REPLACE_SYSCALL(setreuid, setreuid16);    /* 70 */               /* --- */
    REPLACE_SYSCALL(setregid, setregid16);                           /* --- */
    REPLACE_SYSCALL(sigsuspend, sigsuspend);                         /* --- */
    REPLACE_SYSCALL(sigpending, sigpending);		             /* --- */
    REPLACE_SYSCALL(sethostname, sethostname);                       /* --- */
    REPLACE_SYSCALL(setrlimit, setrlimit);    /* 75 */               /* --- */
    REPLACE_SYSCALL(getrlimit, getrlimit);                           /* --- */
    REPLACE_SYSCALL(getrusage, getrusage);                           /* --- */
    REPLACE_SYSCALL(gettimeofday, gettimeofday);                     /* --- */
    REPLACE_SYSCALL(settimeofday, settimeofday);                     /* --- */
    REPLACE_SYSCALL(getgroups, getgroups16);  /* 80 */               /* --- */
    REPLACE_SYSCALL(setgroups, setgroups16);                         /* --- */
    REPLACE_SYSCALL(select, select);                                 /* --- */
    REPLACE_SYSCALL(symlink, symlink);                               /* --- */ 
    REPLACE_SYSCALL(oldlstat, lstat);                                /* --- */
    REPLACE_SYSCALL(readlink, readlink);      /* 85 */               /* --- */
    REPLACE_SYSCALL(uselib, uselib);			             /* --- */
    REPLACE_SYSCALL(swapon, swapon);                                 /* --- */
    REPLACE_SYSCALL(reboot, reboot);                                 /* --- */
    REPLACE_SYSCALL(readdir, readdir);                               /* --- */
    REPLACE_SYSCALL(mmap, old_mmap);          /* 90 */               /* --- */
    REPLACE_SYSCALL(munmap, munmap);                                 /* --- */
    REPLACE_SYSCALL(truncate, truncate);		             /* --- */
    REPLACE_SYSCALL(ftruncate, ftruncate);		             /* --- */
    REPLACE_SYSCALL(fchmod, fchmod);                                 /* --- */
    REPLACE_SYSCALL(fchown, fchown);          /* 95 */               /* --- */
    REPLACE_SYSCALL(getpriority, getpriority);                       /* --- */
    REPLACE_SYSCALL(setpriority, setpriority);                       /* --- */
    // old profil, ni_syscall				             /* --- */
    REPLACE_SYSCALL(statfs, statfs);                                 /* --- */
    REPLACE_SYSCALL(fstatfs, fstatfs);        /* 100 */              /* --- */
    REPLACE_SYSCALL(ioperm, ioperm);                                 /* --- */
//    REPLACE_SYSCALL(socketcall, socketcall);                         /* --- */
    REPLACE_SYSCALL(syslog, syslog);                                 /* --- */
    REPLACE_SYSCALL(setitimer, setitimer);                           /* --- */
    REPLACE_SYSCALL(getitimer, getitimer);    /* 105 */              /* --- */
    REPLACE_SYSCALL(stat, newstat);                                  /* --- */
    REPLACE_SYSCALL(lstat, newlstat);                                /* --- */
    REPLACE_SYSCALL(fstat, newfstat);                                /* --- */
    // REPLACE_SYSCALL(olduname, uname);                             /* --- */
    REPLACE_SYSCALL(iopl, iopl);              /* 110 */              /* --- */
    REPLACE_SYSCALL(vhangup, vhangup);                               /* --- */
    // old idle, ni_syscall                                          /* --- */
    // vm86old, we can not trace this syscall (CAUTION!!)            /* XXX */
    REPLACE_SYSCALL(wait4, wait4);                                   /* --- */
    REPLACE_SYSCALL(swapoff, swapoff);        /* 115 */              /* --- */
    REPLACE_SYSCALL(sysinfo, sysinfo);                               /* --- */
    REPLACE_SYSCALL(ipc, ipc);                                       /* --- */ 
    REPLACE_SYSCALL(fsync, fsync);                                   /* --- */
    // sigreturn, we can not trace this syscall (CAUTION!!)          /* XXX */
    REPLACE_SYSCALL(clone, clone);            /* 120 */              /* --- */
    REPLACE_SYSCALL(setdomainname, setdomainname);                   /* --- */
    REPLACE_SYSCALL(uname, newuname);                                /* --- */ 
    REPLACE_SYSCALL(modify_ldt, modify_ldt);                         /* --- */ 
    REPLACE_SYSCALL(adjtimex, adjtimex);                             /* --- */
    REPLACE_SYSCALL(mprotect, mprotect);      /* 125 */              /* --- */
    REPLACE_SYSCALL(sigprocmask, sigprocmask);                       /* --- */
    REPLACE_SYSCALL(create_module, create_module);                   /* --- */
    REPLACE_SYSCALL(init_module, init_module);                       /* --- */
    REPLACE_SYSCALL(delete_module, delete_module);                   /* --- */
    // get_kernel_syms, ni_syscall                                   /* --- */
    REPLACE_SYSCALL(quotactl, quotactl);                             /* --- */ 
    REPLACE_SYSCALL(getpgid, getpgid);                               /* --- */
    REPLACE_SYSCALL(fchdir, fchdir);                                 /* --- */
    REPLACE_SYSCALL(bdflush, bdflush);                               /* --- */
    REPLACE_SYSCALL(sysfs, sysfs);            /* 135 */              /* --- */ 
    REPLACE_SYSCALL(personality, personality);                       /* --- */
    // afs_syscall, ni_syscall                                       /* --- */
    REPLACE_SYSCALL(setfsuid, setfsuid16);		             /* --- */
    REPLACE_SYSCALL(setfsgid, setfsgid16);                           /* --- */
    REPLACE_SYSCALL(_llseek, llseek);         /* 140 */              /* --- */ 
    REPLACE_SYSCALL(getdents, getdents);                             /* --- */
//  REPLACE_SYSCALL(_newselect, select);                             /* --- */
    REPLACE_SYSCALL(flock, flock);                                   /* --- */
    REPLACE_SYSCALL(msync, msync);                                   /* --- */
    REPLACE_SYSCALL(readv, readv);            /* 145 */              /* --- */
    REPLACE_SYSCALL(writev, writev);                                 /* --- */
    REPLACE_SYSCALL(getsid, getsid);                                 /* --- */
    REPLACE_SYSCALL(fdatasync, fdatasync);                           /* --- */
    REPLACE_SYSCALL(_sysctl, sysctl);                                /* --- */
    REPLACE_SYSCALL(mlock, mlock);            /* 150 */              /* --- */
    REPLACE_SYSCALL(munlock, munlock);                               /* --- */
    REPLACE_SYSCALL(mlockall, mlockall);                             /* --- */
    REPLACE_SYSCALL(munlockall, munlockall);                         /* --- */
    REPLACE_SYSCALL(sched_setparam, sched_setparam);                 /* --- */
    REPLACE_SYSCALL(sched_getparam, sched_getparam);/* 155 */        /* --- */
    REPLACE_SYSCALL(sched_getscheduler, sched_getscheduler);         /* --- */
    REPLACE_SYSCALL(sched_setscheduler, sched_setscheduler);         /* --- */
    REPLACE_SYSCALL(sched_yield, sched_yield);                       /* --- */
    REPLACE_SYSCALL(sched_get_priority_max, sched_get_priority_max); /* --- */
    REPLACE_SYSCALL(sched_get_priority_min, sched_get_priority_min); /* --- */ 
    REPLACE_SYSCALL(sched_rr_get_interval, sched_rr_get_interval);   /* --- */
    REPLACE_SYSCALL(nanosleep, nanosleep);                           /* --- */
    REPLACE_SYSCALL(mremap, mremap);                                 /* --- */ 
    REPLACE_SYSCALL(setresuid, setresuid16);                         /* --- */
    REPLACE_SYSCALL(getresuid, getresuid16);  /* 165 */              /* --- */
    // vm86, we can not trace this syscall (CAUTION!!)               /* XXX */
    REPLACE_SYSCALL(query_module, query_module);                     /* --- */
    REPLACE_SYSCALL(poll, poll);                                     /* --- */
    REPLACE_SYSCALL(nfsservctl, nfsservctl);                         /* --- */
    REPLACE_SYSCALL(setresgid, setresgid16);  /* 170 */              /* --- */
    REPLACE_SYSCALL(getresgid, getresgid16);                         /* --- */
    REPLACE_SYSCALL(prctl, prctl);                                   /* --- */
    // rt_sigreturn, we can not trace this syscall (CAUTION!!)       /* XXX */
    // rt_sigaction, we can not trace this syscall (CAUTION!!)       /* XXX */
    // rt_sigprocmask, we can not trace this syscall (CAUTION!!)     /* XXX */
    // rt_sigpending, we can not trace this syscall (CAUTION!!)      /* XXX */
    // rt_sigtimedwait, we can not trace this syscall (CAUTION!!)    /* XXX */
    // rt_sigqueueinfo, we can not trace this syscall (CAUTION!!)    /* XXX */
    // rt_sigsuspend, we can not trace this syscall (CAUTION!!)      /* XXX */
    REPLACE_SYSCALL(pread, pread);            /* 180 */              /* --- */ 
    REPLACE_SYSCALL(pwrite, pwrite);                                 /* --- */
    REPLACE_SYSCALL(chown, chown16);                                 /* --- */
    REPLACE_SYSCALL(getcwd, getcwd);                                 /* --- */
    REPLACE_SYSCALL(capget, capget);                                 /* --- */
    REPLACE_SYSCALL(capset, capset);          /* 185 */              /* --- */
    // signalstack, ni_syscall                                       /* --- */
    REPLACE_SYSCALL(sendfile, sendfile);                             /* --- */
    // getmsg, ni_syscall                                            /* --- */
    // putmsg, ni_syscall                                            /* --- */
    REPLACE_SYSCALL(vfork, vfork);            /* 190 */              /* --- */
    REPLACE_SYSCALL(ugetrlimit, getrlimit);                          /* --- */
    REPLACE_SYSCALL(mmap2, mmap2);                                   /* nos */
    REPLACE_SYSCALL(truncate64, truncate64);                         /* --- */
    REPLACE_SYSCALL(ftruncate64, ftruncate64);                       /* --- */
    REPLACE_SYSCALL(stat64, stat64);          /* 195 */              /* --- */
    REPLACE_SYSCALL(lstat64, lstat64);                               /* --- */
    REPLACE_SYSCALL(fstat64, fstat64);                               /* --- */
    REPLACE_SYSCALL(lchown32, lchown);                               /* --- */
    REPLACE_SYSCALL(getuid32, getuid); 			             /* --- */
    REPLACE_SYSCALL(getgid32, getgid);        /* 200 */              /* --- */
    REPLACE_SYSCALL(geteuid32, geteuid);                             /* --- */
    REPLACE_SYSCALL(getegid32, getegid);                             /* --- */
    REPLACE_SYSCALL(setreuid32, setreuid);                           /* --- */
    REPLACE_SYSCALL(setregid32, setregid);                           /* --- */
    REPLACE_SYSCALL(getgroups32, getgroups);  /* 205 */              /* --- */
    REPLACE_SYSCALL(setgroups32, setgroups32);                       /* --- */
    REPLACE_SYSCALL(fchown32, fchown32);                             /* --- */
    REPLACE_SYSCALL(setresuid32, setresuid32);                       /* --- */
    REPLACE_SYSCALL(getresuid32, getresuid);                         /* --- */
    REPLACE_SYSCALL(setresgid32, setresgid32);/* 210 */              /* --- */
    REPLACE_SYSCALL(getresgid32, getresgid);                         /* --- */
    REPLACE_SYSCALL(chown32, chown);                                 /* --- */
    REPLACE_SYSCALL(setuid32, setuid);			             /* --- */
    REPLACE_SYSCALL(setgid32, setgid);                               /* --- */
    REPLACE_SYSCALL(setfsuid32, setfsuid);    /* 215 */              /* --- */
    REPLACE_SYSCALL(setfsgid32, setfsgid);                           /* --- */
    REPLACE_SYSCALL(pivot_root, pivot_root);                         /* --- */
    REPLACE_SYSCALL(mincore, mincore);                               /* --- */ 
    REPLACE_SYSCALL(madvise, madvise);                               /* --- */
    // madvise1, ni_syscall                                          /* --- */
    REPLACE_SYSCALL(getdents64, getdents64);  /* 220 */              /* --- */
    REPLACE_SYSCALL(fcntl64, fcntl64);        /* 221 */              /* --- */
    // reserved for TUX, ni_syscall                                  /* --- */
#ifdef _LBSM_SUPPORT_LSM
    REPLACE_SYSCALL(security, security);      /* 223 */              /* --- */
#endif /* _LBSM_SUPPORT_LSM */

