/*
 *
 *  Linux Basic Security Modules 
 *  LBSM project team. <lbsm@sec.jri.co.jp>
 *
 *  Copyright (c) 2002-2004 The Japan Research Institute, Limited
 *
 *  This is a part of Linux Basic Security Modules.
 *
 *  This programme is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  This programme is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free software Foundation, Inc.,
 *  59 Temple Place, suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef	_LBSM_AUDIT_UEVENTS_H
#define	_LBSM_AUDIT_UEVENTS_H

#ifdef	__cplusplus
extern "C" {
#endif

#define	AUE_at_create		6144	/* =ad at-create crontab */
#define	AUE_at_delete		6145	/* =ad at-delete atjob (at or atrm) */
#define	AUE_at_perm		6146	/* =ad at-permission */
#define	AUE_cron_invoke		6147	/* =ad cron-invoke atjob or crontab */
#define	AUE_crontab_create	6148	/* =ad crontab-crontab created */
#define	AUE_crontab_delete	6149	/* =ad crontab-crontab deleted */
#define	AUE_crontab_perm	6150	/* =ad crontab-persmisson */
#define	AUE_inetd_connect	6151	/* =na inetd */
#define	AUE_login		6152	/* =lo login - local */
#define	AUE_logout		6153	/* =lo logout */
#define	AUE_telnet		6154	/* =lo login - telnet */
#define	AUE_rlogin		6155	/* =lo login - rlogin */
#define	AUE_mountd_mount	6156	/* =na mount */
#define	AUE_mountd_umount	6157	/* =na unmount */
#define	AUE_rshd		6158	/* =lo rsh access */
#define	AUE_su			6159	/* =lo su */
#define	AUE_halt_linux  	6160	/* =ad halt */
#define	AUE_reboot_linux 	6161	/* =ad reboot */
#define	AUE_rexecd		6162	/* =lo rexecd */
#define	AUE_passwd		6163	/* =lo passwd */
#define	AUE_rexd		6164	/* =lo rexd */
#define	AUE_ftpd		6165	/* =lo ftp access */
#define	AUE_allocate_succ	6166	/* =ad allocate-device success */
#define	AUE_allocate_fail	6167	/* =ad allocate-device failure */
#define	AUE_deallocate_succ	6168	/* =ad deallocate-device success */
#define	AUE_deallocate_fail	6169	/* =ad deallocate-device failure */
#define	AUE_listdevice_succ	6170	/* =ad allocate-list devices success */
#define	AUE_listdevice_fail	6171	/* =ad allocate-list devices failure */
#define	AUE_sshlogin		6172	/* =ad ssh */
#define	AUE_xlogin		6173	/* =ad xdm */
#define	AUE_security_alert	6174	/* =ad security alert */

#define MAX_UEVENTS             6175

#ifdef	__cplusplus
}
#endif

#endif	/* !_LBSM_AUDIT_UEVENTS_H */
