/*
 *
 *  Linux Basic Security Modules
 *  LBSM project team. <lbsm@sec.jri.co.jp>
 *
 *  Copyright (c) 2002-2004 The Japan Research Institute, Limited
 *
 *  This is a part of Linux Basic Security Modules.
 *
 *  This programme is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  This programme is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free software Foundation, Inc.,
 *  59 Temple Place, suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _LBSM_AUDIT_USER_H
#define _LBSM_AUDIT_USER_H

#ifdef	__cplusplus
extern "C" {
#endif

#ifdef __KERNEL__

/**
 *  structure for user mask
 */
struct aud_user_n {
	uid_t			uid;	/* user id for auditing              */
	int			audit;	/* if you want to audit user, set 1  */
	aud_mask_t		u_mask;	/* mask for auditing user            */
	struct aud_user_n *	next;	/* pointer to next audit_user struct */
};
typedef struct aud_user_n aud_user_t;

/**
 *  Global variable (list for user's information)
 */
extern aud_user_t *a_users;

/**
 *  Functions
 */
#ifdef __STDC__

extern aud_user_t *aud_alloc_auser(int);
extern int aud_set_mask_auser(aud_user_t *, aud_mask_t *);
extern aud_mask_t *aud_get_mask_auser(aud_user_t *);
extern int aud_delete_all_auser(void);
extern int aud_delete_auser(int);
extern int aud_lookup_auser(int, aud_user_t **); 

#else

extern aud_user_t *aud_alloc_auser();
extern int aud_set_mask_auser();
extern aud_mask_t *aud_get_mask_auser();
extern int aud_delete_all_auser();
extern int aud_delete_auser();
extern int aud_lookup_auser();

#endif /* __STDC__ */

#endif /* __KERNEL__ */

#ifdef __cplusplus
}
#endif

#endif /* !_LBSM_AUDIT_USER_H */
